Template Numerical Library: TNL::Solvers::Linear::Preconditioners::ILUT< Matrix > Class Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
TNL::Solvers::Linear::Preconditioners::ILUT< Matrix > Class Template Reference

Implementation of a preconditioner based on Incomplete LU with thresholding. More...

`#include <TNL/Solvers/Linear/Preconditioners/ILUT.h>`

Inheritance diagram for TNL::Solvers::Linear::Preconditioners::ILUT< Matrix >:
[legend]
Collaboration diagram for TNL::Solvers::Linear::Preconditioners::ILUT< Matrix >:
[legend]

## Public Types
using | DeviceType = Devices::Host
| Device where the preconditioner will run on and auxiliary data will alloacted on.
using | IndexType = typename Matrix::IndexType
| Type for indexing.
using | RealType = typename Matrix::RealType
| Floating point type used for computations.

## Static Public Member Functions
static void | configSetup (Config::ConfigDescription &config, const String &prefix="")
| This method defines configuration entries for setup of the preconditioner of linear iterative solver.

## Detailed Description

template<typename Matrix>
class TNL::Solvers::Linear::Preconditioners::ILUT< Matrix >

Implementation of a preconditioner based on Incomplete LU with thresholding.

See detailed description

See TNL::Solvers::Linear::Preconditioners::Preconditioner for example of setup with a linear solver.

Template Parameters

  Matrix | is type of the matrix describing the linear system.

## Member Function Documentation

## ◆ configSetup()

template<typename Matrix>

void TNL::Solvers::Linear::Preconditioners::ILUT< Matrix >::configSetup | ( | Config::ConfigDescription & | config,
|  | const String & | prefix = "" )
| inlinestatic

This method defines configuration entries for setup of the preconditioner of linear iterative solver.

Parameters

  config | contains description of configuration parameters.
  prefix | is a prefix of particular configuration entries.

The documentation for this class was generated from the following file:

- src/TNL/Solvers/Linear/Preconditioners/ILUT.h